# Service API

Service API is an API from 3Dolphins SRM Omnichannel which can be used for integration needs with other systems.

Go to the **API** menu and click the **Service API** menus, then you will see a service API page such images below.

![Service API](https://765826444-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MNQidQwa-0K9_KnQpoc%2F-MUg-o-0aPs5s3g-ELBf%2F-MUg1bC32Y_wFOTukSga%2FService%20API.png?alt=media\&token=4e938ccf-6272-4293-821b-e68951fabb99)

| Field/Notes    | Description                                                                                                                                                                                                                                                                                                                                |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Method         | Method indicates the allowed interactions (such as GET, POST, PUT or DELETE) with the resource.                                                                                                                                                                                                                                            |
| Media Type     | Specifies the format of the data as type/subtype application/JSON.                                                                                                                                                                                                                                                                         |
| URL            | This field supports user attributes, they will be URL-encoded with your request.                                                                                                                                                                                                                                                           |
| Body           | The Body of the 3Dolphins API represents the body of the response/request.                                                                                                                                                                                                                                                                 |
| Status         | <p>HTTP response status codes indicate whether a specific HTTP request has been successfully completed. Responses are grouped in five classes:<br>1. Informational responses (100–199), </p><p>2. Successful responses (200–299), </p><p>3. Redirects (300–399), </p><p>4. Client errors (400–499), </p><p>5. Server errors (500–599).</p> |
| Response       | The Response interface of the 3Dolphins API represents the response to a request.                                                                                                                                                                                                                                                          |
| Server         | Application Url.                                                                                                                                                                                                                                                                                                                           |
| Username       | Username credential.                                                                                                                                                                                                                                                                                                                       |
| Password       | Password credential.                                                                                                                                                                                                                                                                                                                       |
| GeneratedToken | Generated token id.                                                                                                                                                                                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/api/service-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
